### Method

# AppStream Branding set_color

since: 0.15.2

#### Declaration [src]

    void
    as_branding_set_color (
      AsBranding* branding,
      AsColorKind kind,
      AsColorSchemeKind scheme_preference,
      const gchar* colorcode
    )

#### Description [src]

Sets a new accent color. If a color of the given kind with the given scheme preference already exists, it will be overriden with the new color code.

Available since: 0.15.2

#### Parameters

`kind`

  Type: `AsColorKind`

  The `AsColorKind`, e.g. `AS_COLOR_KIND_PRIMARY`.

`scheme_preference`

  Type: `AsColorSchemeKind`

  Type of color scheme preferred for this color, e.g. `AS_COLOR_SCHEME_KIND_LIGHT`.

`colorcode`

  Type: `const gchar*`

  A HTML color code.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.